Create Product
curl --request POST \
--url https://api.example.com/merchant/product/createimport requests
url = "https://api.example.com/merchant/product/create"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/merchant/product/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 400,
"code": "VALIDATION_INVALID",
"message": "Invalid product data"
},
"data": null
}
Products
Create Product
Create a new product
POST
/
merchant
/
product
/
create
Create Product
Create a new product for your store.
string
required
Product name
string
Product description
boolean
Whether this is a recurring product
string
Recurring interval (monthly, yearly)
object
Additional product metadata
boolean
Indicates if the request was successful
string
Product ID
string
Product name
string
Product description
boolean
Whether this is a recurring product
boolean
Whether the product is active
string
Creation timestamp
Example Request
curl -X POST https://api.transaction.gg/merchant/product/create \
-H "Authorization: Bearer jwt_token" \
-H "Content-Type: application/json" \
-d '{
"name": "Premium Plan",
"description": "Monthly premium subscription",
"recurring": true,
"recurringInterval": "monthly",
"metadata": {
"category": "subscription"
}
}'
Example Response
{
"success": true,
"data": {
"id": "prod_X4dUuzsMaruQ4UsX",
"name": "Premium Plan",
"description": "Monthly premium subscription",
"recurring": true,
"recurringInterval": "monthly",
"metadata": {
"category": "subscription"
},
"active": true,
"createdAt": "2024-01-01T00:00:00Z"
}
}
Error Responses
{
"success": false,
"error": {
"status": 400,
"code": "VALIDATION_INVALID",
"message": "Invalid product data"
},
"data": null
}
⌘I